Subject: bug#8071: Please rename automake invocation node

From: Stefano Lattarini <[email-masked]>
Date: Mon, 26 Dec 2011 20:34:04 +0100

tags 8071 patch
close 8071
thanks

Hi Reuben, sorry for the ludicrous delay.

On 02/18/2011 12:04 AM, Reuben Thomas wrote:
> This is actually a bug that affects several autotools packages,
> excluding autoconf, for which it's already fixed: the invocation node
> is added to the info dir as "automake" which means that
> 
> info automake
> 
> goes to the invocation node, not the Top node.
>
I agree that this is suboptimal and confusing.

The attached patch, applied to maint, fixes the issue.  I'm thus closing
this bug report.

> autoconf calls its invocation node autoconf-invocation instead.
> 
> While on this subject; all the other autotools entitle their
> invocation nodes "autofoo Invocation", whereas automake calls its
> "Invoking Automake".
> 
I haven't changed this, because that could break existing third-party links
to our HTML documentation (OK, that could probably be fixed with an update
to the .symlinks file in the CVS repository of the Automake web pages, but
IMHO it's not worth the hassle).

Thanks,
  Stefano
>From b1b43854dfcb2419bfd5c725aebc42b866374b75 Mon Sep 17 00:00:00 2001
Message-Id: <b1b43854d[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Mon, 26 Dec 2011 20:08:23 +0100
Subject: [PATCH] docs: fix node names for automake and aclocal invocations

With the older node names, an "info automake" command issued
from the command line would have opened the node about the
invocation of the automake program, rather than the Top node
of the automake documentation.  To invoke the Top node, one
had to issue the command "info Automake" instead (note the
different capitalization).  This was suboptimal, and certainly
confusing.

With this change, "info automake" will open the Top node of the
automake documentation; to access the nodes about the invocation
of the automake and aclocal program, one has now to issue "info
automake-invocation" and "info aclocal-invocation" respectively.

This change fixes automake bug#8071.

See also commits `v2.61a-22-ge9215d1' and `v2.61a-72-g8c07b48' in
the autoconf git repository, which tackled a similar issue.

* doc/automake.texi (@direntry): Rename nodes `aclocal' and
`automake' to `aclocal-invocation' and `automake-invocation'
respectively.
* NEWS: Update.
---
 ChangeLog         |   27 +++++++++++++++++++++++++++
 NEWS              |    6 ++++++
 doc/automake.texi |    7 ++-----
 3 files changed, 35 insertions(+), 5 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 86a761d..412d4d6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,30 @@
+2011-12-26  Stefano Lattarini  <[email-masked]>
+
+	docs: fix node names for automake and aclocal invocations
+
+	With the older node names, an "info automake" command issued
+	from the command line would have opened the node about the
+	invocation of the automake program, rather than the Top node
+	of the automake documentation.  To invoke the Top node, one
+	had to issue the command "info Automake" instead (note the
+	different capitalization).  This was suboptimal, and certainly
+	confusing.
+
+	With this change, "info automake" will open the Top node of the
+	automake documentation; to access the nodes about the invocation
+	of the automake and aclocal program, one has now to issue "info
+	automake-invocation" and "info aclocal-invocation" respectively.
+
+	This change fixes automake bug#8071.
+
+	See also commits `v2.61a-22-ge9215d1' and `v2.61a-72-g8c07b48' in
+	the autoconf git repository, which tackled a similar issue.
+
+	* doc/automake.texi (@direntry): Rename nodes `aclocal' and
+	`automake' to `aclocal-invocation' and `automake-invocation'
+	respectively.
+	* NEWS: Update.
+
 2011-12-24  Stefano Lattarini  <[email-masked]>
 
 	gitignore: use only one .gitignore file, in the top-level directory
diff --git a/NEWS b/NEWS
index db448a9..f6eb29f 100644
--- a/NEWS
+++ b/NEWS
@@ -28,6 +28,12 @@ New in 1.11.0a:
 
 * Miscellaneous changes:
 
+  - In the Automake info documentation, the Top node and the nodes about
+    the invocation of the automake and aclocal programs have been renamed;
+    now, calling "info automake" will open the Top node, while calling
+    "info automake-invocation" and "info aclocal-invocation" will access
+    the nodes about the invocation of respectively automake and aclocal.
+
   - Automake is now distributed as a gzip-compressed and an xz-compressed
     tarball.  Previously, bzip2 was used instead of xz.
 
diff --git a/doc/automake.texi b/doc/automake.texi
index ced1b72..3151620 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -38,9 +38,6 @@ section entitled ``GNU Free Documentation License.''
 @end quotation
 @end copying
 
-@c info Automake  points to the Automake package's documentation
-@c info automake  points to the automake script's documentation
-@c (Autoconf has a similar setup.)
 @dircategory Software development
 @direntry
 * Automake: (automake).         Making GNU standards-compliant Makefiles.
@@ -48,8 +45,8 @@ section entitled ``GNU Free Documentation License.''
 
 @dircategory Individual utilities
 @direntry
-* aclocal: (automake)Invoking aclocal.          Generating aclocal.m4.
-* automake: (automake)Invoking Automake.        Generating Makefile.in.
+* aclocal-invocation: (automake)Invoking aclocal.    Generating aclocal.m4.
+* automake-invocation: (automake)Invoking Automake.  Generating Makefile.in.
 @end direntry
 
 @titlepage
-- 
1.7.7.3